Bug 85322 - after starting the INDI-Service the INDI control panel remains empty and the menu, which appears after right-mouse-click in the sky view does not show any telescope, Update problem?
Summary: after starting the INDI-Service the INDI control panel remains empty and the ...
Status: RESOLVED WORKSFORME
Alias: None
Product: kstars
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kstars
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-07-16 12:38 UTC by Stefan Kießling
Modified: 2005-06-08 16:24 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Kießling 2004-07-16 12:38:24 UTC
Version:           1.0 (using KDE 3.2.1, SuSE)
Compiler:          gcc version 3.3.3 (SuSE Linux)
OS:                Linux (i686) release 2.6.4-52-default

menu devices, device manager, click on "telescopes", start service etx90 and connect (client)
-> INDI control panel does not show any buttons etc. for control the telescope.
-> the right-mouse-button-menu does not show a telescope-entry.

other try:
I have started the INDI-Server manually from the console.
Then I connected. -> Same problem: no telescope control elements at all.

That's the history:
My system was SuSE Linux 9.0
I installed the INDI-Server for testing.
I updated SuSE Linux 9.0 with SuSE Linux 9.1

Maybe the KStars Update did not work correctly. I tried to uninstall the complete kdeedu-package. After re-installing it I found the old configuration (view settings, location...)

The telescope control via xephem worked.
Comment 1 Jasem Mutlaq 2004-07-17 00:01:49 UTC
I have similar configuration here (SUSE 9.1, gcc 3.3.3) but don't have any problems.

You said you go to device manager, click on telescope, select etx90, then click "start service". That's all you need to do.

The "client" tab is connect to remote clients only or when you start an INDI server from the console. 

Use Ksysguard or a similar application to check KStars children after you click on "start service", does it have an indiserver child with an lx200autostar grandchild? 

At any rate, KDE 3.3 adds a server log that will alert you if the INDI server fails to start for any reason.
Comment 2 Stefan Kießling 2004-07-30 10:50:37 UTC
Am Samstag, 17. Juli 2004 00:01 schrieb Jasem Mutlaq:
> ------- You are receiving this mail because: -------
> You reported the bug, or are watching the reporter.
>
> http://bugs.kde.org/show_bug.cgi?id=85322
>
>
>
>
> ------- Additional Comments From mutlaqja ikarustech com  2004-07-17 00:01
> ------- I have similar configuration here (SUSE 9.1, gcc 3.3.3) but don't
> have any problems.
>
> You said you go to device manager, click on telescope, select etx90, then
> click "start service". That's all you need to do.
>
> The "client" tab is connect to remote clients only or when you start an
> INDI server from the console.
>
> Use Ksysguard or a similar application to check KStars children after you
> click on "start service", does it have an indiserver child with an
> lx200autostar grandchild?

Yes, it has both.

Comment 3 Jasem Mutlaq 2005-06-02 22:47:48 UTC
It's almost been a year since this bug was reported. Do you experience this bug in KDE 3.4 or HEAD?
Comment 4 Jasem Mutlaq 2005-06-08 12:36:18 UTC
No more reports or additional information for this bug. Please close the bug as WORKSFORME.

Comment 5 kstars 2005-06-08 16:24:27 UTC
closed